Bug 1917369 - python-GridDataFormats: FTBFS in Fedora rawhide
Summary: python-GridDataFormats: FTBFS in Fedora rawhide
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: python-GridDataFormats
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-18 11:02 UTC by Tomáš Hrnčiar
Modified: 2021-02-09 16:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-01-18 11:02:36 UTC
Description of problem:
Package python-GridDataFormats fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
0.5.0-4.fc33

Steps to Reproduce:
koji build --scratch f34 python-GridDataFormats-0.5.0-4.fc33.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-GridDataFormats


=================================== FAILURES ===================================
________________________ TestGrid.test_resample_factor _________________________
[gw0] linux -- Python 3.10.0 /usr/bin/python3

self = <gridData.tests.test_grid.TestGrid object at 0x7f4bfc6d2730>
data = {'delta': array([1., 1., 1.]), 'grid': <<class 'gridData.core.Grid'> with (3, 3, 3) bins>, 'griddata': array([[[ 1,  2...    [16, 17, 18]],

       [[19, 20, 21],
        [22, 23, 24],
        [25, 26, 27]]]), 'origin': array([0., 0., 0.])}

    def test_resample_factor(self, data):
        pytest.importorskip('scipy')
    
        g = data['grid'].resample_factor(2)
        assert_array_equal(g.delta, np.ones(3) * .5)
        assert_array_equal(g.grid.shape, np.ones(3) * 6)
        # check that the edges are the same
>       assert_array_almost_equal(g.grid[::5, ::5, ::5],
                                  data['grid'].grid[::2, ::2, ::2])
E       AssertionError: 
E       Arrays are not almost equal to 6 decimals
E       
E       Mismatched elements: 8 / 8 (100%)
E       Max absolute difference: 5.12890625
E       Max relative difference: 5.12890625
E        x: array([[[-4.128906, -1.339844],
E               [ 4.238281,  7.027344]],
E       ...
E        y: array([[[ 1,  3],
E               [ 7,  9]],
E       ...

gridData/tests/test_grid.py:171: AssertionError
=========================== short test summary info ============================
FAILED gridData/tests/test_grid.py::TestGrid::test_resample_factor - Assertio...
============== 1 failed, 82 passed, 1 skipped, 3 xfailed in 1.94s ==============

Comment 1 Fedora Release Engineering 2021-01-24 04:22:59 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-15).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 2 Dominik 'Rathann' Mierzejewski 2021-01-30 19:44:07 UTC
I'll get this fixed soon.

Comment 3 Ben Cotton 2021-02-09 15:41:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.


Note You need to log in before you can comment on or make changes to this bug.